function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var styled = _interopDefault(require('styled-components'));

function _taggedTemplateLiteralLoose(strings, raw) {
  if (!raw) {
    raw = strings.slice(0);
  }

  strings.raw = raw;
  return strings;
}

function _templateObject() {
  var data = _taggedTemplateLiteralLoose(["\n  width: fit-content;\n  height: 40px;\n  margin: 3px;\n  padding: 10px 20px;\n  background-color: #ddeef8;\n  color: #333333;\n  border: none;\n  border-radius: 5px;\n  font-size: 18px;\n  font-weight: 300;\n  border: 1px solid #333;\n  transition: background-color 0.3s ease, color 0.1s ease;\n\n  &:hover {\n    border: 1px solid #006bce;\n    background-color: #333333;\n    color: #ddeef8;\n  }\n\n  &:focus {\n    outline: none;\n  }\n\n  &:active {\n    transition: initial;\n    background-color: #74c69d;\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

var Button = function Button(_ref) {
  var _ref$children = _ref.children,
      children = _ref$children === void 0 ? 'Button' : _ref$children,
      onClick = _ref.onClick;
  return React.createElement(StyledButton, {
    onClick: onClick
  }, children);
};
var StyledButton = styled.button(_templateObject());

function _templateObject3() {
  var data = _taggedTemplateLiteralLoose(["\n  height: 2.3rem;\n  line-height: 3rem;\n  border: 1px black solid;\n  text-align: center;\n  background: #ddeef8;\n  border-radius: 8%;\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteralLoose(["\n  padding: 5px;\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject$1() {
  var data = _taggedTemplateLiteralLoose(["\n  width: 2rem;\n  height: 2rem;\n  border-radius: 50%;\n  color: lightblue;\n"]);

  _templateObject$1 = function _templateObject() {
    return data;
  };

  return data;
}

var CheckBox = function CheckBox(_ref) {
  var title = _ref.title,
      id = _ref.id,
      name = _ref.name,
      value = _ref.value;
  return React.createElement(StyledCheckbox, null, React.createElement(StyledInput, {
    type: 'checkbox',
    name: name,
    value: value,
    id: id
  }), React.createElement(StyledLabel, {
    id: id
  }, title, " "));
};
var StyledInput = styled.input(_templateObject$1());
var StyledLabel = styled.label(_templateObject2());
var StyledCheckbox = styled.div(_templateObject3());

function _templateObject5() {
  var data = _taggedTemplateLiteralLoose(["\n  width: 100%;\n  padding: 20px 0;\n  overflow-wrap: break-word;\n  min-height: fit-content;\n  max-width: 100%;\n  color: grey;\n"]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = _taggedTemplateLiteralLoose(["\n  display: flex;\n  width: 100%;\n  justify-content: space-between;\n  border-bottom: 0.5px solid rgba(0, 0, 0, 0.1);\n"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3$1() {
  var data = _taggedTemplateLiteralLoose(["\n  font-size: 18px;\n"]);

  _templateObject3$1 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2$1() {
  var data = _taggedTemplateLiteralLoose(["\n  display: flex;\n  width: 100%;\n  justify-content: space-around;\n  color: grey;\n  & span:hover {\n    cursor: pointer;\n    color: #1890ff;\n  }\n"]);

  _templateObject2$1 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject$2() {
  var data = _taggedTemplateLiteralLoose(["\n  display: flex;\n  padding: 10px 20px;\n  flex-direction: column;\n  justify-content: space-around;\n  align-items: center;\n  height: fit-content;\n  min-width: 200px;\n  max-width: 500px;\n  background-color: white;\n  border-radius: 20px;\n  box-shadow: 3px 3px 5px 3px lightgrey;\n"]);

  _templateObject$2 = function _templateObject() {
    return data;
  };

  return data;
}

var Card = function Card(_ref) {
  var _ref$children = _ref.children,
      children = _ref$children === void 0 ? 'Content' : _ref$children,
      _ref$actions = _ref.actions,
      actions = _ref$actions === void 0 ? [] : _ref$actions,
      _ref$title = _ref.title,
      title = _ref$title === void 0 ? 'Title' : _ref$title,
      link = _ref.link;
  return React.createElement(CardMain, null, React.createElement(CardHeader, null, React.createElement(CardTitle, null, title), React.createElement("div", null, React.createElement("a", {
    href: link,
    target: '_blank',
    rel: 'noopener noreferrer'
  }, link && 'link'))), React.createElement(CardContent, null, children), React.createElement(CardActions, null, actions.map(function (action, index) {
    return React.createElement("span", {
      key: index
    }, action);
  })));
};

var CardMain = styled.div(_templateObject$2());
var CardActions = styled.div(_templateObject2$1());
var CardTitle = styled.div(_templateObject3$1());
var CardHeader = styled.div(_templateObject4());
var CardContent = styled.div(_templateObject5());

function _templateObject$3() {
  var data = _taggedTemplateLiteralLoose(["\n  width: 10em;\n  height: 1.2em;\n  font-family: 'Times New Roman', Times, serif;\n  font-size: large;\n  border: 3px solid #ddeef8;\n  border-radius: 4px;\n  margin: 5px;\n\n  &:hover {\n    border: 3px solid #809eb0;\n    border-radius: 4px;\n  }\n\n  &:focus {\n    outline: none;\n  }\n"]);

  _templateObject$3 = function _templateObject() {
    return data;
  };

  return data;
}

var Input = function Input(_ref) {
  var id = _ref.id,
      _ref$placeholder = _ref.placeholder,
      placeholder = _ref$placeholder === void 0 ? 'Search' : _ref$placeholder,
      onChange = _ref.onChange;
  return React.createElement(InputStyled, {
    id: id,
    placeholder: placeholder,
    onChange: onChange
  });
};
var InputStyled = styled.input(_templateObject$3());

var Radio = function Radio(_ref) {
  var type = _ref.type,
      label1 = _ref.label1,
      label2 = _ref.label2,
      label3 = _ref.label3,
      onClick = _ref.onClick;
  return React.createElement("form", null, React.createElement("div", null, React.createElement("input", {
    type: 'radio',
    name: type,
    value: label1
  }), label1), React.createElement("div", null, React.createElement("input", {
    type: 'radio',
    name: type,
    value: label2
  }), label2), React.createElement("div", null, React.createElement("input", {
    type: 'radio',
    name: type,
    value: label3
  }), label3), React.createElement("button", {
    onClick: onClick
  }, "Submit"));
};

exports.Button = Button;
exports.Card = Card;
exports.CheckBox = CheckBox;
exports.Input = Input;
exports.Radio = Radio;
//# sourceMappingURL=index.js.map
